Delete subtitles
DELETE/api/v1/content/{id}/video-text
- Access
- API key
- Permission
content:write
Delete the attached text and reclaim its quota
Example request
curl -X DELETE "https://lac.pics/api/v1/content/Xq3u9RkT0bLmA7cV2pWz1eFy/video-text" \
-H "Authorization: Bearer lac_api_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"expectedRevision": 1
}'Parameters
Path
idstringrequiredThe file or note id.
Request body
application/jsonrequired
expectedRevisionintegerrequiredThe revision you read (
revision; 0 for a video without text). Another one gets 409.0–2,147,483,646
Responses
200Success.
VideoTextResponserevisionintegerrequiredThe revision the edit is based on:
revisionfromGET /pastes/{id}.0–2,147,483,647
trackobjectrequiredor nullThe subtitle track or null.
4 fields
formatstringrequiredplain: text,markdown: Markdown,code: highlighted code.values:
"vtt""text"languagestringrequiredlabelstringrequiredThe track caption in the player, up to 80 characters.
textstringrequiredThe note text, 1–200,000 characters.
transcriptstringrequiredThe transcript.
- 400Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 401Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 403Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 404Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 409Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 413Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 429Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 500Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
- 503Typed error; protected video access fails closed. Preserve owner drafts after conflicts.
Example response
{
"revision": 1,
"track": null,
"transcript": "Hello!"
}Error codes
Answers of any method with a key (an invalid or expired key, a missing permission, too many requests) are in Errors.